﻿HANDLE hPort;
WORD AioBuf[20];
unsigned long mrs_status;
char Msg[40];

void Timer33OnExecute(tWidget *pWidget)
{

  if ( hPort )  // If the port is not opened, the Label will show the sample string "привет"
  {
     mrs_status = mrs_ProcessCmd(hPort);  // retrieve Modbus RTU command and process it
     if ( mrs_status & MRS_AIO_DIRTY )  // AIO is updated
     {
         for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
        }
         LabelTextSet(&Label30, Msg);
     }
  }else
  {  //it's a sample to display "привет" without Modbus RTU
     //You have to comment the "hPort = uart_Open("COM1,9600,N,8,1");"
     AioBuf[0]=0xD0BF;
     AioBuf[1]=0xD180;
     AioBuf[2]=0xD0B8;
     AioBuf[3]=0xD0B2;
     AioBuf[4]=0xD0B5;
     AioBuf[5]=0xD182;
     AioBuf[6]=0x0;
     for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
     }
     LabelTextSet(&Label30, Msg);

     hPort = uart_Open("COM1,9600,N,8,1");  // open port


      memset(AioBuf, 0, sizeof(AioBuf));

      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
      mrs_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf); // Supports one slave only.
  }

}

void Frame224OnCreate()
{
  if ( ! hPort )  // port is not opened?
  {
      hPort = uart_Open("COM1,9600,N,8,1");  // open port


      memset(AioBuf, 0, sizeof(AioBuf));

      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
      mrs_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf); // Supports one slave only.
  }
}



void Frame224OnDestroy()
{
   uart_Close(hPort);
   hPort=0;
}
