﻿//This demo requires ebfont to be installed
HANDLE hPort;
WORD AioBuf[20];
unsigned long mrs_status;
char Msg[40];

void Timer58OnExecute(tWidget *pWidget)
{


  if ( hPort )  // If the port is not opened, the Label will show the sample string "你好"
  {
     mrs_status = mrs_ProcessCmd(hPort);  // retrieve Modbus RTU command and process it
     if ( mrs_status & MRS_AIO_DIRTY )  // AIO is updated
     {
         for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
        }
         LabelTextSet(&Label55, Msg);
     }
  }else
  {   //it's a sample to display "你好" without Modbus RTU
      //You have to comment the "hPort = uart_Open("COM1,9600,N,8,1");"
      AioBuf[0]=0xE4BD;
      AioBuf[1]=0xA0E5;
      AioBuf[2]=0xA5BD;
      AioBuf[3]=0x0;
      for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
      }
      LabelTextSet(&Label55, Msg);

      hPort = uart_Open("COM1,9600,N,8,1");  // open port

      memset(AioBuf, 0, sizeof(AioBuf));

      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
      mrs_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf); // Supports one slave only.
  }

}

void Frame351OnCreate()
{
  if ( ! hPort )  // port is not opened?
  {
      hPort = uart_Open("COM1,9600,N,8,1");  // open port


      memset(AioBuf, 0, sizeof(AioBuf));

      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
      mrs_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf); // Supports one slave only.
  }
}


void Frame351OnDestroy()
{
   uart_Close(hPort);
   hPort=0;
}
