﻿#ifndef __HMI_FRAME0_H
#define __HMI_FRAME0_H
extern volatile unsigned long g_TimerTicksCount;
extern int g_hmi_CurrentFrame;
extern void hmi_frame0();
extern void hmi_FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_GetActiveFrame(char *str, unsigned int len);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern void hmi_IOScan_Process(void);

extern tPushButtonWidget BitButton4;
extern void hmi_OnBitButton4Click(tWidget *pWidget);
extern void hmi_OnBitButton4Release(tWidget *pWidget);

extern tPushButtonWidget BitButton9;
extern void hmi_OnBitButton9Click(tWidget *pWidget);
extern void hmi_OnBitButton9Release(tWidget *pWidget);

extern tPushButtonWidget BitButton22;
extern void hmi_OnBitButton22Click(tWidget *pWidget);
extern void hmi_OnBitButton22Release(tWidget *pWidget);

extern tPushButtonWidget BitButton23;
extern void hmi_OnBitButton23Click(tWidget *pWidget);
extern void hmi_OnBitButton23Release(tWidget *pWidget);

extern tPushButtonWidget BitButton24;
extern void hmi_OnBitButton24Click(tWidget *pWidget);
extern void hmi_OnBitButton24Release(tWidget *pWidget);

extern tPushButtonWidget BitButton25;
extern void hmi_OnBitButton25Click(tWidget *pWidget);
extern void hmi_OnBitButton25Release(tWidget *pWidget);

extern tCanvasWidget Label27;
extern tHotSpotWidget HotSpot44;
extern void hmi_OnHotSpot44Click(tWidget *pWidget);
extern void hmi_OnHotSpot44Release(tWidget *pWidget);

extern tPushButtonWidget BitButton35;
extern void hmi_OnBitButton35Click(tWidget *pWidget);
extern void hmi_OnBitButton35Release(tWidget *pWidget);

extern tPushButtonWidget BitButton36;
extern void hmi_OnBitButton36Click(tWidget *pWidget);
extern void hmi_OnBitButton36Release(tWidget *pWidget);

extern tPushButtonWidget BitButton37;
extern void hmi_OnBitButton37Click(tWidget *pWidget);
extern void hmi_OnBitButton37Release(tWidget *pWidget);

extern tPushButtonWidget BitButton38;
extern void hmi_OnBitButton38Click(tWidget *pWidget);
extern void hmi_OnBitButton38Release(tWidget *pWidget);

extern tCanvasWidget Label41;
extern tHotSpotWidget HotSpot45;
extern void hmi_OnHotSpot45Click(tWidget *pWidget);
extern void hmi_OnHotSpot45Release(tWidget *pWidget);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame25Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame310Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;

extern void hmi_FreeFrameWidgets1();
extern void hmi_FreeFrameWidgets2();
extern void hmi_FreeFrameWidgets3();


extern void hmi_Frame1();
extern void hmi_Frame2();
extern void hmi_Frame3();

#endif
