﻿//This demo requires ebfont to be installed
HANDLE hPort3=-1; // -1 is ERROR code for hmi_TCPNew() =>no successful
#define PORT_BIND 502
WORD  AioBuf[20]; // 16-bit x20 AIO buffers (can be more)
unsigned long mts_status;
char Msg[40];

void Timer93OnExecute(tWidget *pWidget)//Initialization
{
   if ( hPort3<0 )  // port is not opened?
  {
      hPort3 = hmi_TCPNew();// Listen and wait for accepting
      hmi_TCPListen(hPort3, PORT_BIND);
      memset(AioBuf, 0, sizeof(AioBuf));  // Clear buffer

      mts_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf);
      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
   }
}

void Timer120OnExecute(tWidget *pWidget)
{

  if ( hPort3>=0 )  // port is opened?
  {
     mts_status = mts_ProcessCmd(hPort3);  // retrieve Modbus TCP command and process it
     if ( mts_status & MTS_AIO_DIRTY )  // AIO is updated
     {
         for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
            Msg[i*2] = HIBYTE(AioBuf[i]);
            Msg[i*2+1] = LOBYTE(AioBuf[i]);
         }
         LabelTextSet(&Label90, Msg);
     }
  }else
  {   //it's a sample to display "こんにちは" without Modbus TCP
      //You have to comment the "hPort = uart_Open("COM1,9600,N,8,1");"
      AioBuf[0]=0xE381;
      AioBuf[1]=0x93E3;
      AioBuf[2]=0x8293;
      AioBuf[3]=0xE381;
      AioBuf[4]=0xABE3;
      AioBuf[5]=0x81A1;
      AioBuf[6]=0xE381;
      AioBuf[7]=0xAF00;
      AioBuf[8]=0x0;
      for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
      }
      LabelTextSet(&Label90, Msg);
  }
}


void Frame416OnDestroy()
{
   hmi_TCPClose(hPort3);
   hPort3=-1;
}
