﻿//This demo requires ebfont to be installed
HANDLE hPort4=-1; // -1 is ERROR code for hmi_TCPNew() =>no successful
#define PORT_BIND 502
WORD AioBuf[20]; // 16-bit x20 AIO buffers (can be more)
unsigned long mts_status;
char Msg[40];

void Timer127OnExecute(tWidget *pWidget)//Initialization
{
   if ( hPort4<0 )  // port is not opened?
  {
      hPort4 = hmi_TCPNew();// Listen and wait for accepting
      hmi_TCPListen(hPort4, PORT_BIND);
      memset(AioBuf, 0, sizeof(AioBuf));  // Clear buffer

      mts_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf);
      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
   }
}

void Timer154OnExecute(tWidget *pWidget)
{

  if ( hPort4>=0 )  // port is opened?
  {
     mts_status = mts_ProcessCmd(hPort4);  // retrieve Modbus TCP command and process it
     if ( mts_status & MTS_AIO_DIRTY )  // AIO is updated
     {
         for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
            Msg[i*2] = HIBYTE(AioBuf[i]);
            Msg[i*2+1] = LOBYTE(AioBuf[i]);
         }
         LabelTextSet(&Label124, Msg);
     }
  }else
  {   //it's a sample to display "안녕하세요" without Modbus TCP
      //You have to comment the "hPort = uart_Open("COM1,9600,N,8,1");"
      AioBuf[0]=0xEC95;
      AioBuf[1]=0x88EB;
      AioBuf[2]=0x8595;
      AioBuf[3]=0xED95;
      AioBuf[4]=0x98EC;
      AioBuf[5]=0x84B8;
      AioBuf[6]=0xEC9A;
      AioBuf[7]=0x9400;
      AioBuf[8]=0x0;
      for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
      }
      LabelTextSet(&Label124, Msg);
  }
}


void Frame517OnDestroy()
{
   hmi_TCPClose(hPort4);
   hPort4=-1;
}
