﻿//Users can query the UTF-8 hex codes on the following website,
//and then fill it in the WORD array manually.
//This may be referenced if you are writing PC program that does not have UTF-8 support.
//https://www.branah.com/unicode-converter


HANDLE hPort;
static int NetID = 1;
static int addr = 0;
static int ch_count = 20;
WORD Text_Data[20];
char Msg[40];

void WORDToCharShowUTF8(WORD *WORD_data, char *char_data);

void Frame326OnCreate()
{
   hPort = uart_Open("COM1,9600,N,8,1");
}

void Frame326OnDestroy()
{
   uart_Close(hPort);
   hPort=0;
}

//UTF-8(hex) encoding of a Russian character need 2 bytes.
//The buffer is WORD type(2 bytes).
//Put the UTF-8(hex) encoding in order.
void BitButton34OnClick(tWidget *pWidget)
{
   memset(Msg, 0, sizeof(Msg)/sizeof(Msg[0]));
   memset(Text_Data, 0, sizeof(Text_Data)/sizeof(Text_Data[0]));
                                                      //input message(UTF-8) "привет"
   Text_Data[0]=0xD0BF;                               //п = 0xD0BF
   Text_Data[1]=0xD180;                               //р = 0xD180
   Text_Data[2]=0xD0B8;                               //и = 0xD0B8
   Text_Data[3]=0xD0B2;                               //в = 0xD0B2
   Text_Data[4]=0xD0B5;                               //е = 0xD0B5
   Text_Data[5]=0xD182;                               //т = 0xD182

   mrm_WriteAO (hPort, NetID, addr, ch_count, Text_Data);

   WORDToCharShowUTF8(Text_Data, Msg);

   LabelTextSet(&Label40, Msg);
}

//UTF-8(hex) encoding of a Chinese character need 3 bytes.
//The buffer is WORD type(2 bytes).
//Put the UTF-8(hex) encoding in order.
void BitButton35OnClick(tWidget *pWidget)
{
   memset(Msg, 0, sizeof(Msg)/sizeof(Msg[0]));
   memset(Text_Data, 0, sizeof(Text_Data)/sizeof(Text_Data[0]));
                                                       //input message(UTF-8) "你好"
   Text_Data[0]=0xE4BD;                                //你 =  0xE4BDA0
   Text_Data[1]=0xA0E5;                                //好 =  0xE5A5BD
   Text_Data[2]=0xA5BD;

   mrm_WriteAO (hPort, NetID, addr, ch_count, Text_Data);

   WORDToCharShowUTF8(Text_Data, Msg);

   LabelTextSet(&Label40, Msg);
}

//UTF-8(hex) encoding of a Japanese character need 3 bytes.
//The buffer is WORD type(2 bytes).
//Put the UTF-8(hex) encoding in order.
void BitButton36OnClick(tWidget *pWidget)
{
   memset(Msg, 0, sizeof(Msg)/sizeof(Msg[0]));
   memset(Text_Data, 0, sizeof(Text_Data)/sizeof(Text_Data[0]));
                                                       //input message(UTF-8) "こんにちは"
   Text_Data[0]=0xE381;                                //こ = 0xE38193
   Text_Data[1]=0x93E3;                                //ん = 0xE38293
   Text_Data[2]=0x8293;                                //に = 0xE381AB
   Text_Data[3]=0xE381;                                //ち = 0xE381A1
   Text_Data[4]=0xABE3;                                //は = 0xE381AF
   Text_Data[5]=0x81A1;
   Text_Data[6]=0xE381;
   Text_Data[7]=0xAF00;

   mrm_WriteAO (hPort, NetID, addr, ch_count, Text_Data);

   WORDToCharShowUTF8(Text_Data, Msg);

   LabelTextSet(&Label40, Msg);
}

//UTF-8(hex) encoding of a Korean character need 3 bytes.
//The buffer is WORD type(2 bytes).
//Put the UTF-8(hex) encoding in order.
void BitButton37OnClick(tWidget *pWidget)
{
   memset(Msg, 0, sizeof(Msg)/sizeof(Msg[0]));
   memset(Text_Data, 0, sizeof(Text_Data)/sizeof(Text_Data[0]));
                                                      //input message(UTF-8) "안녕하세요"
   Text_Data[0]=0xEC95;                               //안 = 0xEC9588
   Text_Data[1]=0x88EB;                               //녕 = 0xEB8595
   Text_Data[2]=0x8595;                               //하 = 0xED9598
   Text_Data[3]=0xED95;                               //세 = 0xEC84B8
   Text_Data[4]=0x98EC;                               //요 = 0xEC9A94
   Text_Data[5]=0x84B8;
   Text_Data[6]=0xEC9A;
   Text_Data[7]=0x9400;

   mrm_WriteAO (hPort, NetID, addr, ch_count, Text_Data);

   WORDToCharShowUTF8(Text_Data, Msg);

   LabelTextSet(&Label40, Msg);
}

void WORDToCharShowUTF8(WORD *WORD_data, char *char_data)
{
   for(int i=0;i<strlen((char*)WORD_data);i++)
   {
      if(WORD_data[i]==0x0) break;
      usprintf(char_data, "%s%04x ", char_data, WORD_data[i]);     //convert the data to the Char type
   }
}
