﻿//This demo requires ebfont to be installed
HANDLE hPort;
WORD AioBuf[20];
unsigned long mrs_status;
char Msg[40];

void Timer82OnExecute(tWidget *pWidget)
{


  if ( hPort )  // If the port is not opened, the Label will show the sample string "こんにちは"
  {
     mrs_status = mrs_ProcessCmd(hPort);  // retrieve Modbus RTU command and process it
     if ( mrs_status & MRS_AIO_DIRTY )  // AIO is updated
     {
         for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
        }
         LabelTextSet(&Label79, Msg);
     }
  }else
  {  //it's a sample to display "こんにちは" without Modbus RTU
     //You have to comment the "hPort = uart_Open("COM1,9600,N,8,1");"
     AioBuf[0]=0xE381;
     AioBuf[1]=0x93E3;
     AioBuf[2]=0x8293;
     AioBuf[3]=0xE381;
     AioBuf[4]=0xABE3;
     AioBuf[5]=0x81A1;
     AioBuf[6]=0xE381;
     AioBuf[7]=0xAF00;
     AioBuf[8]=0x0;
     for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
      }
      LabelTextSet(&Label79, Msg);

      hPort = uart_Open("COM1,9600,N,8,1");  // open port

      memset(AioBuf, 0, sizeof(AioBuf));

      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
      mrs_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf); // Supports one slave only.
  }

}

void Frame475OnCreate()
{
  if ( ! hPort )  // port is not opened?
  {
      hPort = uart_Open("COM1,9600,N,8,1");  // open port


      memset(AioBuf, 0, sizeof(AioBuf));

      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
      mrs_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf); // Supports one slave only.
  }
}


void Frame475OnDestroy()
{
   uart_Close(hPort);
   hPort=0;
}
