﻿#ifndef __HMI_FRAME0_H
#define __HMI_FRAME0_H
extern volatile unsigned long g_TimerTicksCount;
extern int g_hmi_CurrentFrame;
extern void hmi_frame0();
extern void hmi_FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_GetActiveFrame(char *str, unsigned int len);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern void hmi_IOScan_Process(void);

extern tPushButtonWidget BitButton4;
extern void hmi_OnBitButton4Click(tWidget *pWidget);
extern void hmi_OnBitButton4Release(tWidget *pWidget);

extern tPushButtonWidget BitButton5;
extern void hmi_OnBitButton5Click(tWidget *pWidget);
extern void hmi_OnBitButton5Release(tWidget *pWidget);

extern tPushButtonWidget BitButton9;
extern void hmi_OnBitButton9Click(tWidget *pWidget);
extern void hmi_OnBitButton9Release(tWidget *pWidget);

extern tPushButtonWidget BitButton10;
extern void hmi_OnBitButton10Click(tWidget *pWidget);
extern void hmi_OnBitButton10Release(tWidget *pWidget);

extern tCanvasWidget Label30;
extern tTimerWidget Timer33;
extern void hmi_OnTimer33Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot13;
extern void hmi_OnHotSpot13Click(tWidget *pWidget);
extern void hmi_OnHotSpot13Release(tWidget *pWidget);

extern tCanvasWidget Label55;
extern tTimerWidget Timer58;
extern void hmi_OnTimer58Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot17;
extern void hmi_OnHotSpot17Click(tWidget *pWidget);
extern void hmi_OnHotSpot17Release(tWidget *pWidget);

extern tCanvasWidget Label79;
extern tTimerWidget Timer82;
extern void hmi_OnTimer82Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot19;
extern void hmi_OnHotSpot19Click(tWidget *pWidget);
extern void hmi_OnHotSpot19Release(tWidget *pWidget);

extern tCanvasWidget Label103;
extern tTimerWidget Timer106;
extern void hmi_OnTimer106Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot21;
extern void hmi_OnHotSpot21Click(tWidget *pWidget);
extern void hmi_OnHotSpot21Release(tWidget *pWidget);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame224Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame351Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame475Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame599Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;
extern tCanvasWidget CanvasFrame4;
extern tCanvasWidget CanvasFrame5;

extern void hmi_FreeFrameWidgets1();
extern void hmi_FreeFrameWidgets2();
extern void hmi_FreeFrameWidgets3();
extern void hmi_FreeFrameWidgets4();
extern void hmi_FreeFrameWidgets5();


extern void hmi_Frame1();
extern void hmi_Frame2();
extern void hmi_Frame3();
extern void hmi_Frame4();
extern void hmi_Frame5();

#endif
