﻿HANDLE hPort=-1; // -1 is ERROR code for hmi_TCPNew() =>no successful
#define PORT_BIND 502
WORD  AioBuf[20]; // 16-bit x20 AIO buffers (can be more)
unsigned long mts_status;
char Msg[40];

void Timer33OnExecute(tWidget *pWidget)//Initialization
{
   if ( hPort<0 )  // port is not opened?
  {
      hPort = hmi_TCPNew();// Listen and wait for accepting
      hmi_TCPListen(hPort, PORT_BIND);
      memset(AioBuf, 0, sizeof(AioBuf));  // Clear buffer

      mts_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf);
      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
   }
}

void Timer52OnExecute(tWidget *pWidget)
{

  if ( hPort>=0 )  // port is opened?
  {
     mts_status = mts_ProcessCmd(hPort);  // retrieve Modbus TCP command and process it
     if ( mts_status & MTS_AIO_DIRTY )  // AIO is updated
     {
         for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
            Msg[i*2] = HIBYTE(AioBuf[i]);
            Msg[i*2+1] = LOBYTE(AioBuf[i]);
         }
         LabelTextSet(&Label30, Msg);
     }
  }else
  {   //it's a sample to display "привет" without Modbus TCP
      //You have to comment the "hPort = uart_Open("COM1,9600,N,8,1");"
      AioBuf[0]=0xD0BF;
      AioBuf[1]=0xD180;
      AioBuf[2]=0xD0B8;
      AioBuf[3]=0xD0B2;
      AioBuf[4]=0xD0B5;
      AioBuf[5]=0xD182;
      AioBuf[6]=0x0;
      for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
           }
      LabelTextSet(&Label30, Msg);
  }
}

void Frame211OnDestroy()
{
   hmi_TCPClose(hPort);
   hPort=-1;
}
