﻿//This demo requires ebfont to be installed
HANDLE hPort2=-1; // -1 is ERROR code for hmi_TCPNew() =>no successful
#define PORT_BIND 502
WORD  AioBuf[20]; // 16-bit x20 AIO buffers (can be more)
unsigned long mts_status;
char Msg[40];

void Timer59OnExecute(tWidget *pWidget)//Initialization
{
   if ( hPort2<0 )  // port is not opened?
  {
      hPort2 = hmi_TCPNew();// Listen and wait for accepting
      hmi_TCPListen(hPort2, PORT_BIND);
      memset(AioBuf, 0, sizeof(AioBuf));  // Clear buffer

      mts_RegisterSlave(1, 0, 0, 0, 0, 20, AioBuf);
      // NetID, DIO start address, channels, char buffers,
      //        AIO start address, channels, word buffers
   }
}

void Timer86OnExecute(tWidget *pWidget)
{

  if ( hPort2>=0 )  // port is opened?
  {
     mts_status = mts_ProcessCmd(hPort2);  // retrieve Modbus TCP command and process it
     if ( mts_status & MTS_AIO_DIRTY )  // AIO is updated
     {
         for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
            Msg[i*2] = HIBYTE(AioBuf[i]);
            Msg[i*2+1] = LOBYTE(AioBuf[i]);
         }
         LabelTextSet(&Label56, Msg);
     }
  }else
  {   //it's a sample to display "你好" without Modbus TCP
      //You have to comment the "hPort = uart_Open("COM1,9600,N,8,1");"
      AioBuf[0]=0xE4BD;
      AioBuf[1]=0xA0E5;
      AioBuf[2]=0xA5BD;
      AioBuf[3]=0x0;
      for(int i = 0; i < strlen((char*)AioBuf);i++){       //WORD to Char convert
           Msg[i*2] = HIBYTE(AioBuf[i]);
           Msg[i*2+1] = LOBYTE(AioBuf[i]);
           }
      LabelTextSet(&Label56, Msg);
  }
}

void Frame313OnDestroy()
{
   hmi_TCPClose(hPort2);
   hPort2=-1;
}
