﻿#ifndef __HMI_FRAME0_H
#define __HMI_FRAME0_H
extern volatile unsigned long g_TimerTicksCount;
extern int g_hmi_CurrentFrame;
extern void hmi_frame0();
extern void hmi_FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_GetActiveFrame(char *str, unsigned int len);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern void hmi_IOScan_Process(void);

extern tPushButtonWidget BitButton4;
extern void hmi_OnBitButton4Click(tWidget *pWidget);
extern void hmi_OnBitButton4Release(tWidget *pWidget);

extern tPushButtonWidget BitButton5;
extern void hmi_OnBitButton5Click(tWidget *pWidget);
extern void hmi_OnBitButton5Release(tWidget *pWidget);

extern tPushButtonWidget BitButton9;
extern void hmi_OnBitButton9Click(tWidget *pWidget);
extern void hmi_OnBitButton9Release(tWidget *pWidget);

extern tPushButtonWidget BitButton10;
extern void hmi_OnBitButton10Click(tWidget *pWidget);
extern void hmi_OnBitButton10Release(tWidget *pWidget);

extern tCanvasWidget Label30;
extern tTimerWidget Timer33;
extern void hmi_OnTimer33Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot19;
extern void hmi_OnHotSpot19Click(tWidget *pWidget);
extern void hmi_OnHotSpot19Release(tWidget *pWidget);

extern tTimerWidget Timer52;
extern void hmi_OnTimer52Execute(tWidget *pWidget);
extern tCanvasWidget Label56;
extern tTimerWidget Timer59;
extern void hmi_OnTimer59Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot73;
extern void hmi_OnHotSpot73Click(tWidget *pWidget);
extern void hmi_OnHotSpot73Release(tWidget *pWidget);

extern tTimerWidget Timer86;
extern void hmi_OnTimer86Execute(tWidget *pWidget);
extern tCanvasWidget Label90;
extern tTimerWidget Timer93;
extern void hmi_OnTimer93Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot107;
extern void hmi_OnHotSpot107Click(tWidget *pWidget);
extern void hmi_OnHotSpot107Release(tWidget *pWidget);

extern tTimerWidget Timer120;
extern void hmi_OnTimer120Execute(tWidget *pWidget);
extern tCanvasWidget Label124;
extern tTimerWidget Timer127;
extern void hmi_OnTimer127Execute(tWidget *pWidget);
extern tHotSpotWidget HotSpot141;
extern void hmi_OnHotSpot141Click(tWidget *pWidget);
extern void hmi_OnHotSpot141Release(tWidget *pWidget);

extern tTimerWidget Timer154;
extern void hmi_OnTimer154Execute(tWidget *pWidget);
extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame211Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame313Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame416Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame517Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;
extern tCanvasWidget CanvasFrame4;
extern tCanvasWidget CanvasFrame5;

extern void hmi_FreeFrameWidgets1();
extern void hmi_FreeFrameWidgets2();
extern void hmi_FreeFrameWidgets3();
extern void hmi_FreeFrameWidgets4();
extern void hmi_FreeFrameWidgets5();


extern void hmi_Frame1();
extern void hmi_Frame2();
extern void hmi_Frame3();
extern void hmi_Frame4();
extern void hmi_Frame5();

#endif
